Banking Backend
Manage banking backends in VARIO Cloud via API, including app endpoints, backend types, transaction handling, payments, status checks and activation.
Banking interfaces.
an identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Label.
Description.
Active.
trueExternal app identifier.
App URL for fetching transactions.
App URL for sending a payment or direct debit.
App URL for fetching the payment or direct debit status.
Backend type.
Resource with given ID was not found
GET /erp/bank/backend/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"active": true,
"appId": "123e4567-e89b-12d3-a456-426614174000",
"appTransactionUrl": "text",
"appPaymentUrl": "text",
"appStatusUrl": "text",
"backendType": "OFFLINE"
}an identifier
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Label.
Description.
Active.
trueExternal app identifier.
App URL for fetching transactions.
App URL for sending a payment or direct debit.
App URL for fetching the payment or direct debit status.
Backend type.
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Label.
Description.
Active.
trueExternal app identifier.
App URL for fetching transactions.
App URL for sending a payment or direct debit.
App URL for fetching the payment or direct debit status.
Backend type.
Resource was not found
Resource was not valid to process
PUT /erp/bank/backend/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 219
{
"version": "text",
"info": {},
"id": "text",
"label": "text",
"description": "text",
"appId": "123e4567-e89b-12d3-a456-426614174000",
"appTransactionUrl": "text",
"appPaymentUrl": "text",
"appStatusUrl": "text",
"backendType": "OFFLINE"
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"active": true,
"appId": "123e4567-e89b-12d3-a456-426614174000",
"appTransactionUrl": "text",
"appPaymentUrl": "text",
"appStatusUrl": "text",
"backendType": "OFFLINE"
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /erp/bank/backend/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Label.
Description.
Active.
trueExternal app identifier.
App URL for fetching transactions.
App URL for sending a payment or direct debit.
App URL for fetching the payment or direct debit status.
Backend type.
Resource was not found
Resource was not valid to process
PUT /erp/bank/backend/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"active": true,
"appId": "123e4567-e89b-12d3-a456-426614174000",
"appTransactionUrl": "text",
"appPaymentUrl": "text",
"appStatusUrl": "text",
"backendType": "OFFLINE"
}identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Label.
Description.
Active.
trueExternal app identifier.
App URL for fetching transactions.
App URL for sending a payment or direct debit.
App URL for fetching the payment or direct debit status.
Backend type.
Resource was not found
Resource was not valid to process
PUT /erp/bank/backend/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"active": true,
"appId": "123e4567-e89b-12d3-a456-426614174000",
"appTransactionUrl": "text",
"appPaymentUrl": "text",
"appStatusUrl": "text",
"backendType": "OFFLINE"
}Version Identifier for this Object (for PUT)
Unique identifier of the Object
Label.
Description.
Active.
trueExternal app identifier.
App URL for fetching transactions.
App URL for sending a payment or direct debit.
App URL for fetching the payment or direct debit status.
Backend type.
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Label.
Description.
Active.
trueExternal app identifier.
App URL for fetching transactions.
App URL for sending a payment or direct debit.
App URL for fetching the payment or direct debit status.
Backend type.
Resource was not valid to process
POST /erp/bank/backend HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 219
{
"version": "text",
"info": {},
"id": "text",
"label": "text",
"description": "text",
"appId": "123e4567-e89b-12d3-a456-426614174000",
"appTransactionUrl": "text",
"appPaymentUrl": "text",
"appStatusUrl": "text",
"backendType": "OFFLINE"
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"active": true,
"appId": "123e4567-e89b-12d3-a456-426614174000",
"appTransactionUrl": "text",
"appPaymentUrl": "text",
"appStatusUrl": "text",
"backendType": "OFFLINE"
}Last updated
Was this helpful?